#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define rel 2

Name:           okular
Summary:        A universal document viewer
Epoch:          2
Version: 16.12.3
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            http://www.kde.org/applications/graphics/okular/
Source:         http://download.kde.org/stable/applications/%{version}/src/%name-%version.tar.xz

Patch0:         okular-16.12.0-fix-desktop-file.patch

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)

BuildRequires:  pkgconfig(qca2-qt5)
BuildRequires:  pkgconfig(poppler-qt5)

BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(KF5KHtml)
BuildRequires:  cmake(KF5Activities)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5ThreadWeaver)
BuildRequires:  cmake(KF5Pty)

BuildRequires:  cmake(KF5KExiv2)

BuildRequires:  kdegraphics-mobipocket-devel >= 2:%{version}
BuildRequires:  pkgconfig(libspectre)
BuildRequires:  pkgconfig(ddjvuapi)
BuildRequires:  chmlib-devel
BuildRequires:  ebook-tools-devel

Requires:       kde-l10n

Recommends:     okular-handbook

# mobipocket generator plugin kdegraphics-mobipocket -> okular
# http://quickgit.kde.org/?p=okular.git&a=commit&h=8e8dde975616ec5dc9b668c5681784de27ced2bb
Conflicts:      kdegraphics-mobipocket < 2:4.11.80

# Branch Patch (100-200)

# Mageia Patch
#Patch201:       okular-4.9.0-OkularConfig-dont-hardcode-paths.patch

%description
Okular is a universal document viewer based on KPDF for KDE 4.

Okular combines the excellent functionalities of KPDF with the versatility
of supporting different kind of documents, like PDF, Postscript, DjVu, CHM,
and others.

The document format handlers page has a chart describing in more detail
the supported formats and the features supported in each of them.

%files
%_kf5_sysconfdir/xdg/okular.categories
%_kf5_bindir/okular
%_kf5_applicationsdir/*
%_kf5_datadir/config.kcfg/pdfsettings.kcfg
%_kf5_datadir/okular
%_kf5_datadir/config.kcfg/okular.kcfg
%_kf5_datadir/config.kcfg/gssettings.kcfg
%_kf5_datadir/config.kcfg/okular_core.kcfg
%_qt5_plugindir/kio_msits.so
%_qt5_plugindir/okular
%_qt5_plugindir/*.so
%_kf5_servicetypes/okularGenerator.desktop
%_kf5_iconsdir/*/*/*/okular.*
%_kf5_mandir/man1/okular.1.*
%_kf5_services/*.desktop
%_qt5_qml/org/kde/okular
%_kf5_appdatadir/*.xml
%_kf5_datadir/kconf_update/okular.upd
%_kf5_datadir/kpackage/genericqml/*
%_kf5_services/ms-its.protocol
%_kf5_datadir/kxmlgui5/okular

#------------------------------------------------------------------------------

%package handbook
Summary:        Okular handbook
Group:          Documentation
BuildArch:      noarch
Requires:       okular >= %{epoch}:%{version}-%{release}

%description handbook
This package provides okular handbook.

%files handbook
%doc %_kf5_docdir/HTML/en/okular/

#------------------------------------------------------------------------------	

%define okular5core_major 7
%define libokular5core %mklibname okularcore %okular5core_major

%package -n %libokular5core
Summary:        Runtime library for okular
Group:          System/Libraries

%description -n %libokular5core
Runtime library for Okular.

%files -n %libokular5core
%_kf5_libdir/libOkular5Core.so.%{okular5core_major}*

#------------------------------------------------------------------------------

%package devel
Summary:        Devel stuff for kdegraphics
Group:          Development/KDE and Qt
Requires:       %libokular5core = %epoch:%version-%release
Requires:       pkgconfig(poppler-qt5)
Requires:       pkgconfig(libspectre)
Requires:       pkgconfig(ddjvuapi)
Requires:       chmlib-devel
Requires:       ebook-tools-devel

%description devel
This package contains header files needed if you wish to build applications
based on okular.

%files devel
%_includedir/%{name}
%_kf5_libdir/cmake/Okular5
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make_build

%install
%make_install -C build


%changelog
* Sun Jun 04 2017 neoclust <neoclust> 2:16.12.3-2.mga6
+ Revision: 1106416
- Install translations (mga#20946)

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090165
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Tue Dec 27 2016 neoclust <neoclust> 2:16.12.0-2.mga6
+ Revision: 1078386
- Only add okular once on the menu ( mga#19096 )

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076907
- New version 16.12.0

* Sun Dec 18 2016 daviddavid <daviddavid> 2:16.11.90-3.mga6
+ Revision: 1076037
- remove also qimageblitz on devel subpackage as it is a Qt4 dependency
  and it is no more used from okular

* Fri Dec 09 2016 daviddavid <daviddavid> 2:16.11.90-2.mga6
+ Revision: 1073859
- remove some Qt4 dependencies on devel subpackage

* Fri Dec 09 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1073803
- New version 16.11.90

* Mon Nov 28 2016 luigiwalser <luigiwalser> 2:16.08.3-2.mga6
+ Revision: 1070630
- rebuild for poppler

* Tue Nov 15 2016 neoclust <neoclust> 2:16.08.3-1.mga6
+ Revision: 1067417
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 2:16.08.2-1.mga6
+ Revision: 1061481
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 2:16.08.1-1.mga6
+ Revision: 1050744
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 2:16.08.0-1.mga6
+ Revision: 1047397
- New version 16.08.0

* Sat Aug 13 2016 luigiwalser <luigiwalser> 2:16.04.3-2.mga6
+ Revision: 1046189
- test rebuild for poppler

* Sat Jul 09 2016 neoclust <neoclust> 2:16.04.3-1.mga6
+ Revision: 1040148
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 2:16.04.1-1.mga6
+ Revision: 1012638
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 2:16.04.0-1.mga6
+ Revision: 1004426
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 2:16.03.80-1.mga6
+ Revision: 995005
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 2:15.12.3-1.mga6
+ Revision: 991889
- New version 15.12.3
- New version 15.12.2
- New version 15.12.1
- New version 15.12.0

* Mon Nov 30 2015 neoclust <neoclust> 2:15.11.80-1.mga6
+ Revision: 907328
- New version 15.11.80
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 2:15.08.1-1.mga6
+ Revision: 880931
- New version 15.08.1
- New version 15.08.0

* Sun Aug 23 2015 neoclust <neoclust> 2:15.08.0-1.mga6
+ Revision: 868214
- New version 15.08.0

* Wed Jul 29 2015 lmenut <lmenut> 2:15.07.80-1.mga6
+ Revision: 858992
- Update to KDE Applications 15.08 Beta
- disable optional BuildRequires LibKScreen

* Wed Jan 21 2015 lmenut <lmenut> 2:4.14.3-2.mga5
+ Revision: 811673
- add patch to revert show paper size names which involves excessive load
  and freezes (mga#14450, bko#334708, bko#342131)

* Wed Dec 03 2014 lmenut <lmenut> 2:4.14.3-1.mga5
+ Revision: 800676
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 2:4.14.2-1.mga5
+ Revision: 787774
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 2:4.14.1-2.mga5
+ Revision: 749397
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 2:4.14.1-1.mga5
+ Revision: 734628
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 2:4.14.0-2.mga5
+ Revision: 683173
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 2:4.14.0-1.mga5
+ Revision: 667562
- Update to KDE SC 4.14.0
  bump okularcore major to 5
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 2:4.13.97-1.mga5
+ Revision: 663074
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 2:4.13.95-1.mga5
+ Revision: 656752
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 2:4.13.90-1.mga5
+ Revision: 653937
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Tue Jul 15 2014 lmenut <lmenut> 2:4.13.80-2.mga5
+ Revision: 653131
- add missing conflicts

* Mon Jul 14 2014 lmenut <lmenut> 2:4.13.80-1.mga5
+ Revision: 652048
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1
  add buildrequires kdegraphics-mobipocket, libkexiv2 & kscreen

* Sun Jun 15 2014 lmenut <lmenut> 2:4.13.2-1.mga5
+ Revision: 636811
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 2:4.13.1-1.mga5
+ Revision: 625578
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 2:4.13.0-1.mga5
+ Revision: 615659
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 2:4.12.97-1.mga5
+ Revision: 609471
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 2:4.12.95-1.mga5
+ Revision: 606912
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 2:4.12.90-1.mga5
+ Revision: 603419
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 2:4.12.80-1.mga5
+ Revision: 600752
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 2:4.12.2-1.mga5
+ Revision: 590539
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 2:4.11.5-1.mga5
+ Revision: 580709
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 2:4.11.4-1.mga4
+ Revision: 555070
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 2:4.11.3-1.mga4
+ Revision: 551342
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 2:4.11.2-2.mga4
+ Revision: 539992
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 2:4.11.2-1.mga4
+ Revision: 490702
- Update tarball to KDE SC 4.11.2

* Sat Sep 28 2013 lmenut <lmenut> 2:4.11.1-2.mga4
+ Revision: 488656
- rebuild with fixed rpm (missing suggests tags)

* Mon Sep 09 2013 mikala <mikala> 2:4.11.1-1.mga4
+ Revision: 476797
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 2:4.11.0-1.mga4
+ Revision: 465150
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 2:4.10.97-1.mga4
+ Revision: 458988
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 2:4.10.95-1.mga4
+ Revision: 455373
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 2:4.10.90-1.mga4
+ Revision: 447906
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1
- Fix major
- Fix files list

* Sun Jun 02 2013 mikala <mikala> 2:4.10.4-1.mga4
+ Revision: 435257
- Update tarball to KDE SC 4.10.4

* Sun May 26 2013 mikala <mikala> 2:4.10.3-1.mga4
+ Revision: 428374
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 2:4.10.2-1.mga3
+ Revision: 407186
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 2:4.10.1-1.mga3
+ Revision: 401945
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 2:4.10.0-1.mga3
+ Revision: 394363
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sun Jan 13 2013 umeabot <umeabot> 2:4.9.97-2.mga3
+ Revision: 361831
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 2:4.9.97-1.mga3
+ Revision: 339413
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 2:4.9.95-1.mga3
+ Revision: 334517
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 2:4.9.90-1.mga3
+ Revision: 326722
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2
- Fix files list

* Wed Nov 21 2012 mikala <mikala> 2:4.9.80-1.mga3
+ Revision: 320279
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1
- Fix files list
- Add missing BuildRequires

* Wed Nov 07 2012 mikala <mikala> 2:4.9.3-1.mga3
+ Revision: 316164
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 2:4.9.2-1.mga3
+ Revision: 301935
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 2:4.9.1-1.mga3
+ Revision: 289724
- Update tarball to KDE SC 4.9.1

* Tue Jul 31 2012 mikala <mikala> 2:4.9.0-1.mga3
+ Revision: 276668
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0
- Add patch201 from fedora to fix issue when finding okular (& now visible due to the /usr move)

* Thu Jul 12 2012 fwang <fwang> 2:4.8.97-1.mga3
+ Revision: 269719
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 2:4.8.95-2.mga3
+ Revision: 265508
- do not use enable final
- new version 4.8.95

* Wed Jun 13 2012 fwang <fwang> 2:4.8.4-2.mga3
+ Revision: 260182
- rebuild for new poppler

* Fri Jun 08 2012 fwang <fwang> 2:4.8.4-1.mga3
+ Revision: 257226
- new version 4.8.4

* Mon Apr 23 2012 mikala <mikala> 2:4.8.2-2.mga2
+ Revision: 232789
- Add missing requires for handbook

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228446
- new version 4.8.2

* Wed Mar 07 2012 fwang <fwang> 2:4.8.1-1.mga2
+ Revision: 220878
- new version 4.8.1

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198219
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 190978
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-0.mga2
+ Revision: 185925
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182189
- Update tarball to KDE SC 4.7.90

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176544
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161414
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151986
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140676
- Update tarball to KDE SC 4.7.1
- Split handbook in his own package (mga #2101)
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- use pkgconfig() for buildrequires

* Mon Jul 18 2011 ahmad <ahmad> 2:4.6.95-2.mga2
+ Revision: 125941
- Really convert all BR libpoppler-qt4-devel to pkgconfig(poppler-qt4)

* Mon Jul 18 2011 ahmad <ahmad> 2:4.6.95-1.mga2
+ Revision: 125940
- Change libpoppler-*-devel BR to pkgconfig style

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122513
- Update tarball to KDE 4.6.95 (KDE SC 4.7 RC2)

* Thu Jun 30 2011 fwang <fwang> 2:4.6.90-2.mga2
+ Revision: 116238
- do not obsolete old packages

* Wed Jun 29 2011 mikala <mikala> 2:4.6.90-1.mga2
+ Revision: 115876
- Add an obsoletes on kdegraphics4-devel on the -devel package
- Add conflicts against kdegraphics4-devel for -devel package
- add more requires for -devel package
- imported package okular

